# Class AbstractLauncherTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.pde.ui.launcher.AbstractLauncherTab

All Implemented Interfaces:
  `IPrototypeAttributesLabelProvider, ILaunchConfigurationTab, ILaunchConfigurationTab2`

Direct Known Subclasses:
  `BundlesTab, ConfigurationTab, MainTab, OSGiSettingsTab, PluginsTab, TracingTab`

public abstract class AbstractLauncherTab extends AbstractLaunchConfigurationTab
An abstract class subclassed by all PDE tabs.

This class may be subclassed by clients.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`AbstractLauncherTab()`

## Method Summary

Modifier and Type
Method
Description
`void`
`activated(ILaunchConfigurationWorkingCopy workingCopy)`
`protected void`
`createStartingSpace(Composite parent, int span)`
Deprecated.
`void`
`deactivated(ILaunchConfigurationWorkingCopy workingCopy)`
`boolean`
`isValid(ILaunchConfiguration config)`
Returns whether the tab contains valid entries
`void`
`scheduleUpdateJob()`
`void`
`updateLaunchConfigurationDialog()`
Validates the page and updates the buttons and message of the launch configuration dialog.
`abstract void`
`validateTab()`
Validates the data entered on the tab.

### Methods inherited from class AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getId, getImage, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, initializeAttributes, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ILaunchConfigurationTab

`createControl, getName, initializeFrom, OkToLeaveTab, performApply, postApply, setDefaults`

## Constructor Details

### AbstractLauncherTab

public AbstractLauncherTab()

## Method Details

### createStartingSpace

@Deprecated protected void createStartingSpace(Composite parent, int span)
Deprecated.
Creates an empty label and hence a space in the tab

Parameters:
  `parent` - the parent of the label
  `span` - the span of the label

### isValid

public boolean isValid(ILaunchConfiguration config)
Returns whether the tab contains valid entries

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `AbstractLaunchConfigurationTab`
Returns:
  `true` if the tab is valid, `false` otherwise
See Also:
  - `ILaunchConfigurationTab.isValid(org.eclipse.debug.core.ILaunchConfiguration)`

### activated

public void activated(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `activated` in interface `ILaunchConfigurationTab`
Overrides:
  `activated` in class `AbstractLaunchConfigurationTab`

### deactivated

public void deactivated(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `deactivated` in interface `ILaunchConfigurationTab`
Overrides:
  `deactivated` in class `AbstractLaunchConfigurationTab`

### updateLaunchConfigurationDialog

public void updateLaunchConfigurationDialog()
Validates the page and updates the buttons and message of the launch configuration dialog.

Overrides:
  `updateLaunchConfigurationDialog` in class `AbstractLaunchConfigurationTab`
See Also:
  - `AbstractLaunchConfigurationTab.updateLaunchConfigurationDialog()`

### scheduleUpdateJob

public void scheduleUpdateJob()

Overrides:
  `scheduleUpdateJob` in class `AbstractLaunchConfigurationTab`

### validateTab

public abstract void validateTab()
Validates the data entered on the tab.